import * as React from 'react';
import { render, cleanup } from '@testing-library/react';
import { ShuttleControls, CONTROL_BUTTONS } from '../ShuttleControls';
afterEach(cleanup);
describe('ShuttleControls tests', () => {
    it('should allow customized rendering via child render function', () => {
        const { container } = render(React.createElement(ShuttleControls, null, ({ moveAllFromSource, moveAllFromTarget, getButtonProps }) => (React.createElement(React.Fragment, null,
            React.createElement("button", Object.assign({ onClick: moveAllFromSource }, getButtonProps(CONTROL_BUTTONS.MOVE_ALL_TARGET)), "Move All to Target"),
            React.createElement("button", Object.assign({ onClick: moveAllFromTarget }, getButtonProps(CONTROL_BUTTONS.MOVE_ALL_SOURCE)), "Move All to Source")))));
        expect(container).toMatchSnapshot();
    });
});
