import * as React from 'react';
import { ShuttleReducer } from '../Shuttle';
import { ShuttleState } from './useShuttleState';
declare type Options = {
    setShuttleState: (args: ShuttleReducer) => void;
    shuttleState: ShuttleState;
    useMeta?: boolean;
    useShift?: boolean;
};
export declare function useShuttleKeyboardControls({ setShuttleState, shuttleState, useMeta, useShift, }: Options): {
    onKeyDown: (e: React.KeyboardEvent<HTMLDivElement>) => void;
    onKeyUp: (e: React.KeyboardEvent<HTMLDivElement>) => void;
    onClick: (e: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
};
export {};
//# sourceMappingURL=useShuttleKeyboardControls.d.ts.map