import * as React from 'react';
import { InitialState } from './useShuttleState';
/**
 * An internal hook to lazily set the state from a Promise
 * or something that is Promise A+ compliant. We really only
 * want this hook to run when the state is first initialized.
 */
export declare function useAsyncState(state: InitialState, setShuttleState: React.Dispatch<Record<string, any>>): void;
//# sourceMappingURL=useAsyncState.d.ts.map