import { ShuttleState } from '../hooks/useShuttleState';
export declare type MOVE_SELECTION_REDUCER_ACTION = {
    type?: 'MOVE_ALL';
    from?: 'source' | 'target';
    to?: 'source' | 'target';
};
/**
 * Compact an array safely and in-place. This function works
 * in conjunction with `shuttleAll`.
 */
export declare const compact: (list: number[], source: any[]) => any[];
/**
 * Shuttle all items from one array to another array. Specify blacklisted item indexes
 * to prevent those from being moved.
 */
export declare const shuttleAll: (from: any[], to: any[], disabled: Set<any>) => any[];
export declare const moveAll: (state: ShuttleState, action?: MOVE_SELECTION_REDUCER_ACTION) => ShuttleState;
//# sourceMappingURL=moveAllReducer.d.ts.map